## ros-kinetic-romeo-gazebo-plugin 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_gazebo_plugin)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch worlds
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-romeo-gazebo-plugin (0.2.3-0xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/ros-aldebaran/romeo_virtual/issues/1> from ros-aldebaran/mikaelarguedas-clone-using-https-in-readme
    [romeo_gazebo_plugin/README.rst] clone using https
  * [romeo_gazebo_plugin/README.rst] clone using https
  * Update README.rst
  * Update package.xml
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-romeo-gazebo-plugin (0.2.2-0xenial) xenial; urgency=high

  * removing an unused launch file
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Sat, 09 Jul 2016 22:00:00 -0000

ros-kinetic-romeo-gazebo-plugin (0.2.1-0xenial) xenial; urgency=high

  * clean version and changelogs for next release
  * add back world file not supported by gazebo7
  * moved romeo_gazebo_plugin and romeo_control into new romeo_virtual repo
  * Contributors: Mikael Arguedas

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 07 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-romeo-gazebo-plugin
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-ros, ros-kinetic-romeo-description
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-romeo-gazebo-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-romeo-control, ros-kinetic-romeo-description, ros-kinetic-ros-control, ros-kinetic-ros-controllers
Description: The romeo_gazebo_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-romeo-gazebo-plugin//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
